Skip to main content
Get An Agent Version By Id And Version

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
version
integer
required

Response

Successful Response

Schema for a complete agent version.

id
string<uuid>
required

Unique identifier for the agent

tenant_id
string
required

ID of the tenant that owns this agent

name
string
required

Name of the agent

description
string
required

Description of what the agent does

version_label
integer
required

Version of the deployed agent

created_by
string
required

ID of the user who created the agent

created_on
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

updated_by
string
required

ID of the user who updated the agent

style
enum<string>
required

Style of the agent

Available options:
default,
react,
planner,
custom,
react_intrinsic,
experimental_customer_care,
code_act
agent_mapping
Agent Mapping · object
required

Mapping of agent IDs to their respective agent types

instructions
string | null

Instructions for the agent

tools
(string | object)[]

List of tool names available to the agent

collaborators
(string | object)[]

List of other agent names this agent can collaborate with

llm
string | null

LLM identifier for the agent

supported_apps
enum<string>[] | null

Supported apps of the agent

Available options:
slack/askhr
deleted_by
string | null
deleted_at
string<date-time> | null
hidden
boolean
default:false

To show or hide agent when agents are listed

points_to
string<uuid>[]

Environment IDs points to this version

display_name
string | null

Display name of the agent

comments
string | null

Comments added by the user while deploying an agent

mapped_environments
EnvironmentSchema · object[] | null

List of Environments points to the agent version

knowledge_base
string[] | null

List of knowledge_base available to the agent

environments
EnvironmentSchema · object[]

List of simplified environments associated with the agent

structured_output
Structured Output · object | null

JSON schema defining the structure for agent responses

guidelines
Guideline · object[] | null

List of guidelines for the agent behavior

custom_join_tool
Custom Join Tool · object | null

Reference to a Python tool ID that will be used for custom synthesis of task results

deployment_status
string | null

Status of the agent deployment

tags
string[] | null

List of tags associated to agent

additional_properties
AgentAdditionalProperties · object | null

Agent Additional Settings

voice_configuration_id
string<uuid> | null

Voice configuration for the agent

chat_with_docs
ChatWithDocsConfig · object | null

Chat with Documents config for Agent Version

name_for_llm
string | null
context_access_enabled
boolean
default:true

Enable access to context variables for this agent

context_variables
string[]

List of context variable names that this agent can access

hide_reasoning
boolean
default:false

Enable/disable reasoning trace

llm_config
ModelConfig · object | null